Links on locked users lead to 404 page

2009-11-08 23:45 - Jean-Baptiste Barth

Status: Closed Start date: 2009-11-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

When you lock a user account (for instance because person has left the team), there are still many links in every issues, wiki pages,

comments left by this person. When you click on them, you are redirected to a 404 page, which is not very easy to understand for

users imho.

I think this is because in UsersController#show, user is searched with the "active" scope, and there's a rescue

ActiveRecord::RecordNotFound; render_404 at the end of the action. Maybe you could forget the "active" scope, and change the

display after that with a specific error page ?

Any opinion on this ?

Associated revisions

Revision 3024 - 2009-11-11 11:48 - Jean-Philippe Lang

Fixes ApplicationHelper#link_to_user

No link to a locked user page (closes #4182)

Translate Anonymous string

History

#1 - 2009-11-09 20:14 - Jean-Philippe Lang

I think that locked users profiles should stay hidden, especially because of the lack of user deletion feature.

But you're right, we shouldn't link a page that gives a 404. A simple fix would be to display locked users as text in ApplicationHelper#link_to_user.

#2 - 2009-11-10 10:06 - Jean-Baptiste Barth

It would be perfect :)

#3 - 2009-11-11 11:52 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r3024.
